 import java.util.*;
 
public class Bebe extends Personne {

 private void initialise (boolean sexe, Date naissance, String prenom) {
	this.sexe=sexe;
	this.date_naissance=naissance;
	this.prenom=prenom;
	}
 
  private void verifieMaternite(Adulte mere) {
  	if (mere==null || mere.getSexe()) problemeCreation("La mre doit tre une femme",mere);
  	if (date_naissance!=null && mere.getNaissance()!=null && date_naissance.compareTo(mere.getNaissance())<=0) problemeCreation("La mere ne peut pas tre plus jeune que son enfant",mere);
  	if (mere.getDeces()!=null && date_naissance.compareTo(mere.getDeces())>=0) problemeCreation("Un enfant ne peut pas tre n aprs la mort de sa mre",mere);
	mere.enfants.add(this);
  	this.mere=mere;}
 
 public Bebe(boolean sexe, Adulte pere, Adulte mere, Date naissance, String prenom)
 {super(sexe, naissance, prenom);
  verifieMaternite(mere);
  if (pere==null || !pere.getSexe()) problemeCreation("Le pre doit tre un homme",pere);
  if (naissance!=null) {
  	Date date_conception=new Date(naissance.getTime()-1000*3600*24*30*9); //9*mois
  	if (pere.getNaissance()!=null && date_conception.compareTo(pere.getNaissance())<=0) problemeCreation("Un parent ne peut pas tre plus jeune que son enfant",pere);
  	if (pere.getDeces()!=null && date_conception.compareTo(pere.getDeces())>=0) problemeCreation("Un enfant ne peut pas tre conu aprs la mort de son pre",pere);
	}
  this.pere=pere;
  this.nom=pere.nom;
  pere.enfants.add(this);
  }
 
 public Bebe(boolean sexe,  Adulte mere, Date naissance, String prenom)
 {super(sexe, naissance, prenom);
  verifieMaternite(mere);
  this.nom=mere.nom;
  }
  
 public Bebe(boolean sexe,  Date naissance, String prenom, String nom)
 {super(sexe, naissance, prenom);
   this.nom=nom;
  }
 
 	public static void main(String args[]) {
	Bebe b=new Bebe(true,new Date(80,3,4),"Adam","Dupont");
	System.out.println(b);
	}
}